## libint 1.1.4

=== debian/changelog ===
libint (1.1.4-1) unstable; urgency=low

  * Initial upload (Closes: #425039).

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Feb 2012 22:15:45 +0100
