=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --with autotools_dev

override_dh_auto_clean:
	rm -rf lib/.libs
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-shared \
		--enable-deriv \
		--enable-r12 \
		--enable-debug=opt \
		--prefix=/usr \
		--with-cc-optflags="$(CFLAGS)" \
		--with-cxx-optflags="$(CFLAGS)" \
		--with-libdirs="-Wl,-z,defs"

override_dh_auto_build:
	$(MAKE) -C doc
	dh_auto_build

override_dh_strip:
	dh_strip --dbg-package=libint-dbg

.PHONY: override_dh_strip
