=== debian/watch ===
# See uscan(1) for format

version=3
http://www.chem.vt.edu/chem-dept/valeev/software/libint/download.html \
  ^src/libint-([\d\.]+).tar.gz
