## libint 1.1.5

=== debian/changelog ===
libint (1.1.5-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Increase libint-max-am to 6,
    libderiv-max-am1 to 4 and libderiv-max-am2 to 3.

 -- Michael Banck <mbanck@debian.org>  Thu, 01 Oct 2015 17:52:38 +0200

libint (1.1.5-1) unstable; urgency=low

  [ Daniel Leidert ]
  * New upstream release.
  * debian/control: Dropped DM-Upload-Allowed.
    (Uploaders): Removed myself.
    (Standards-Version): Bumped to 3.9.4.
    (Build-Depends): Added texlive-font-utils for pslatex.
  * debian/copyright: Updated and rewritten in dep5 format.
  * debian/libint1.lintian-overrides: Added.
  * debian/libint-dev.doc-base: Fixed doc-base-uses-applications-section.
  * debian/rules: Enable hardening and parallel mode. Install changelog.
    (override_dh_configure): Set shell to bash.
  * debian/upstream: Added.
  * debian/watch: Fixed.
  * debian/patches/01_fix_doc_makefile.patch: Renamed to
    debian/patches/fix_doc_makefile.patch.
  * debian/patches/enable_hardening.patch: Added.
    - Fix build with hardening flags enabled.
  * debian/patches/fix_makefiles.patch: Added.
    - Enable LDFLAGS for libraries.
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 26 May 2013 22:44:51 +0200
