=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: science
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Daniel Leidert (dale) <daniel.leidert@wgdd.de>, Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>> 8), autotools-dev, perl, texlive-base-bin, texlive-latex-base
-Standards-Version: 3.9.2
+Uploaders: Michael Banck <mbanck@debian.org>
+Build-Depends: autotools-dev (>> 20100122.1~),
+               debhelper (>> 8),
+               perl,
+               texlive-base-bin,
+               texlive-font-utils,
+               texlive-latex-base
+Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/p/libint/home/
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/libint/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/libint/
-DM-Upload-Allowed: yes
 
 Package: libint1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Evaluate the integrals in modern atomic and molecular theory
  The LIBINT library is used to evaluate the traditional (electron repulsion)
  and certain novel two-body matrix elements (integrals) over Cartesian
