=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	rm -rf lib/.libs
	dh_auto_clean

override_dh_auto_configure:
	CONFIG_SHELL=/bin/bash dh_auto_configure -- \
		--enable-shared \
		--enable-deriv \
		--enable-r12 \
		--enable-debug=opt \
		--with-libint-max-am=6 \
		--with-libderiv-max-am1=4 \
		--with-libderiv-max-am2=3 \
		--prefix=/usr \
		--with-cc-optflags="$(CFLAGS) $(CPPFLAGS)" \
		--with-cxx-optflags="$(CXXFLAGS) $(CPPFLAGS)" \
		--with-libdirs="$(LDFLAGS)"

override_dh_auto_build:
	$(MAKE) -C doc
	dh_auto_build

override_dh_strip:
	dh_strip --dbg-package=libint-dbg

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs updates
