=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/libint/libint-([\d.]+)\.tar\.gz
