## libint 1.1.6

=== debian/changelog ===
libint (1.1.6-2) unstable; urgency=medium

  * debian/control (Build-Depends): Added dh-autoreconf.
  * debian/rules: Use --with autoreconf instead of --with autotools_dev as dh
    option.
  * debian/rules (AUTOHEADER): New variable; set to true to skip running
    autoheader during dh_autoreconf.

 -- Michael Banck <mbanck@debian.org>  Thu, 06 Oct 2016 09:18:33 +0200

libint (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/enable_hardening.patch: Removed, applied upstream.
  * debian/rules (override_dh_auto_configure): Decrease libint-max-am to 5 for
    CP2K compatibility. 

 -- Michael Banck <mbanck@debian.org>  Thu, 06 Oct 2016 00:34:31 +0200
