=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: autotools-dev (>> 20100122.1~),
                debhelper (>> 8),
+               dh-autoreconf,
                perl,
                texlive-base-bin,
                texlive-font-utils,
