=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
+export AUTOHEADER = true
+
 %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --with autoreconf --parallel
 
 override_dh_auto_clean:
 	rm -rf lib/.libs
@@ -27,7 +29,7 @@
 		--enable-deriv \
 		--enable-r12 \
 		--enable-debug=opt \
-		--with-libint-max-am=6 \
+		--with-libint-max-am=5 \
 		--with-libderiv-max-am1=4 \
 		--with-libderiv-max-am2=3 \
 		--prefix=/usr \
