=== debian/changelog ===
libint (1.2.1-7) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/watch: Removed, no longer useful as all recent upstream releases are
    from the 2.x branch.

  [ Adrian Bunk ]
  * Fix FTBFS with GCC 15. Closes: #1097200.
  * Fix FTBFS with CMake 4. Closes: #1113159.
  * Apply patch from Vagrant Cascadian to make the build reproducible.
    Closes: #1037309.

  [ Santiago Vila ]
  * Drop debian/compat and use modern syntax to specify compat level.
  * Drop --with autoreconf and --parallel, already the default.
  * Drop redundant dh-autoreconf from Build-Depends.
  * Drop redundant autotools-dev from Build-Depends.
  * Update upstream metadata.
  * Update lintian overrides.
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 04 Oct 2025 10:30:00 +0200

libint (1.2.1-6) unstable; urgency=medium

  * debian/libint1.links: File removed.
  * debian/rules (override_dh_auto_install): New rule, runs dh_auto_install and
    then creates the lib*-stable.so.1 symlinks that were formerly handled by
    libint1.links properly in the right multiarch directory (Closes: #985269).

 -- Michael Banck <mbanck@debian.org>  Mon, 15 Mar 2021 18:31:14 +0100

libint (1.2.1-5) unstable; urgency=medium

  * Team upload
  * Add Breaks on psi4 (<< 1:1.3.2+dfsg-1)

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Mar 2021 14:25:43 +0000

libint (1.2.1-4) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Increase angular momentum
    configure options by one.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 18:50:04 +0100

libint (1.2.1-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Set cmake's MAX_AM_ERI variable
    to 5 to be more in-line with the autotools build.
  * debian/rules (override_dh_auto_configure): Add ENABLE_XHOST=OFF to cmake
    variables. 
  * debian/rules (override_dh_auto_install): Skip installing the cmake build.
  * debian/libint-dev.install: Install the cmake files directly out of the
    build directory.
  * debian/rules (override_dh_auto_configure): Add --with-pic to configure
    arguments.
  * debian/control (Standards-Version): Bumped to 4.5.1.
  * debian/compat: Bump to 11.
  * debian/rules (override_dh_auto_install,override_dh_install): Targets
    removed.
  * debian/libint1.install,debian/libint-dev.install: Update for multiarch
    libdir.

 -- Michael Banck <mbanck@debian.org>  Sat, 16 Jan 2021 19:50:14 +0100

libint (1.2.1-2) unstable; urgency=medium

  * debian/libint1.links: Reintroduce lib*-stable.so.1 as symlinks (Closes:
    #887864, #888274).

 -- Michael Banck <mbanck@debian.org>  Mon, 29 Jan 2018 13:13:39 +0100

libint (1.2.1-1) unstable; urgency=medium

  * New upstream release.

  [ Michael Banck ]
  * debian/control (Vcs-Browser, Vcs-Svn): Updated. 
  * debian/watch: Updated to Github.
  * debian/copyright: Update to GPL-3+.
  * debian/control (Build-Depends): Added cmake.
  * debian/rules: Build using cmake as well, needed in order to ship .cmake
    files in libint-dev.
  * debian/libint-dev.install: Install cmake files.
  * debian/rules (override_dh_installchangelogs): Update changelog name.
  * debian/control (libint-dbg): Remove package.
  * debian/rules (override_dh_strip): Remove target.

 -- Michael Banck <mbanck@debian.org>  Sat, 06 Jan 2018 15:48:17 +0100
