=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: autotools-dev (>> 20100122.1~),
-               debhelper (>> 8),
-               dh-autoreconf,
+Build-Depends: cmake,
+               debhelper-compat (= 11),
                perl,
                texlive-base-bin,
                texlive-font-utils,
                texlive-latex-base
-Standards-Version: 3.9.4
+Standards-Version: 4.7.2
 Homepage: http://sourceforge.net/p/libint/home/
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/libint/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/libint/
+Vcs-Browser: https://salsa.debian.org/debichem-team/libint
+Vcs-Git: https://salsa.debian.org/debichem-team/libint.git
 
 Package: libint1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: psi4 (<< 1:1.3.2+dfsg-1)
 Description: Evaluate the integrals in modern atomic and molecular theory
  The LIBINT library is used to evaluate the traditional (electron repulsion)
  and certain novel two-body matrix elements (integrals) over Cartesian
@@ -56,25 +56,3 @@
  doubles (CCSD) method, as well as explicitly correlated R12 methods.
  .
  This package contains the development header files.
-
-Package: libint-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libint1 (= ${binary:Version}), ${misc:Depends}
-Description: Evaluate the integrals in modern atomic and molecular theory (debug)
- The LIBINT library is used to evaluate the traditional (electron repulsion)
- and certain novel two-body matrix elements (integrals) over Cartesian
- Gaussian functions used in modern atomic and molecular theory. The idea
- of the library is to let computer write optimized code for computing
- such integrals. There are two primary advantages to this: much less
- human effort is required to write code for computing new integrals, and
- code can be optimized specifically for a particular computer
- architecture (e.g., vector processor).
- .
- LIBINT has been utilized to implement methods such as Hartree-Fock (HF)
- and Kohn-Sham density functional theory (KS DFT), second-order
- Moeller-Plesset perturbation theory (MP2), coupled cluster singles and
- doubles (CCSD) method, as well as explicitly correlated R12 methods.
- .
- This package contains the detached debugging symbols.
