=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,16 @@
 
 export AUTOHEADER = true
 
+# Ensure that texlive respects SOURCE_DATE_EPOCH for reproducible builds
+export FORCE_SOURCE_DATE=1
+
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_clean:
 	rm -rf lib/.libs
 	dh_auto_clean
+	dh_auto_clean --buildsystem=cmake
 
 override_dh_auto_configure:
 	CONFIG_SHELL=/bin/bash dh_auto_configure -- \
@@ -29,23 +33,31 @@
 		--enable-deriv \
 		--enable-r12 \
 		--enable-debug=opt \
-		--with-libint-max-am=5 \
-		--with-libderiv-max-am1=4 \
-		--with-libderiv-max-am2=3 \
+		--with-libint-max-am=6 \
+		--with-libderiv-max-am1=5 \
+		--with-libderiv-max-am2=4 \
 		--prefix=/usr \
 		--with-cc-optflags="$(CFLAGS) $(CPPFLAGS)" \
 		--with-cxx-optflags="$(CXXFLAGS) $(CPPFLAGS)" \
-		--with-libdirs="$(LDFLAGS)"
+		--with-libdirs="$(LDFLAGS)" \
+		--with-pic
+	dh_auto_configure --buildsystem=cmake -- 	\
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo	\
+		-DCMAKE_INSTALL_LIBDIR=lib		\
+		-DMAX_AM_ERI=6				\
+		-DENABLE_XHOST=OFF
 
 override_dh_auto_build:
 	$(MAKE) -C doc
 	dh_auto_build
+	dh_auto_build --buildsystem=cmake
 
-override_dh_strip:
-	dh_strip --dbg-package=libint-dbg
-
-override_dh_install:
-	dh_install --list-missing
+override_dh_auto_install:
+	dh_auto_install
+	(cd debian/tmp/usr/lib/*/; \
+		ln -s libderiv.so.1 libderiv-stable.so.1; \
+		ln -s libint.so.1 libint-stable.so.1; \
+		ln -s libr12.so.1 libr12-stable.so.1)
 
 override_dh_installchangelogs:
-	dh_installchangelogs updates
+	dh_installchangelogs CHANGES
